# EllipsoidGeodesic

#### new Cesium.EllipsoidGeodesic(start, end, ellipsoid)
Core/EllipsoidGeodesic.js 199

Initializes a geodesic on the ellipsoid connecting the two provided planetodetic points.

Name | Type | Default | Description
--- | --- | --- | ---
`start` | Cartographic |  | optional The initial planetodetic point on the path.
`end` | Cartographic |  | optional The final planetodetic point on the path.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the geodesic lies.

### Members

#### readonly ellipsoid : Ellipsoid
Core/EllipsoidGeodesic.js 223

Gets the ellipsoid.

#### readonly end : Cartographic
Core/EllipsoidGeodesic.js 263

Gets the final planetodetic point on the path.

#### readonly endHeading : Number
Core/EllipsoidGeodesic.js 291

Gets the heading at the final point.

#### readonly start : Cartographic
Core/EllipsoidGeodesic.js 251

Gets the initial planetodetic point on the path.

#### readonly startHeading : Number
Core/EllipsoidGeodesic.js 275

Gets the heading at the initial point.

#### readonly surfaceDistance : Number
Core/EllipsoidGeodesic.js 235

Gets the surface distance between the start and end point

### Methods

#### interpolateUsingFraction(fraction, result) → Cartographic
Core/EllipsoidGeodesic.js 324

Provides the location of a point at the indicated portion along the geodesic.

Name | Type | Description
--- | --- | ---
`fraction` | Number | The portion of the distance between the initial and final points.
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the point along the geodesic.

#### interpolateUsingSurfaceDistance(distance, result) → Cartographic
Core/EllipsoidGeodesic.js 337

Provides the location of a point at the indicated distance along the geodesic.

Name | Type | Description
--- | --- | ---
`distance` | Number | The distance from the inital point to the point of interest along the geodesic
`result` | Cartographic | optional The object in which to store the result.

##### Returns:

The location of the point along the geodesic.

##### Throws:

- DeveloperError : start and end must be set before calling function interpolateUsingSurfaceDistance

#### setEndPoints(start, end)
Core/EllipsoidGeodesic.js 308

Sets the start and end points of the geodesic

Name | Type | Description
--- | --- | ---
`start` | Cartographic | The initial planetodetic point on the path.
`end` | Cartographic | The final planetodetic point on the path.